查询诊断任务详情
curl --request GET \
--url https://bptest.mapleai.cc/api/open/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://bptest.mapleai.cc/api/open/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bptest.mapleai.cc/api/open/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"created_by_type": "<string>",
"status": "<string>",
"progress": 123,
"total_tasks": 123,
"completed_tasks": 123,
"failed_tasks": 123,
"points_consumed": 123,
"created_at": "<string>",
"updated_at": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": "<string>",
"queue_message_id": "<string>",
"input_files": {},
"output_files": [
{}
],
"run_metadata": {},
"metadata": {},
"point_transaction": {},
"started_at": "<string>",
"completed_at": "<string>"
},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}开放接口 / Open Runs
查询诊断任务详情
GET
/
api
/
open
/
runs
/
{run_id}
查询诊断任务详情
curl --request GET \
--url https://bptest.mapleai.cc/api/open/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://bptest.mapleai.cc/api/open/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bptest.mapleai.cc/api/open/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"created_by_type": "<string>",
"status": "<string>",
"progress": 123,
"total_tasks": 123,
"completed_tasks": 123,
"failed_tasks": 123,
"points_consumed": 123,
"created_at": "<string>",
"updated_at": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": "<string>",
"queue_message_id": "<string>",
"input_files": {},
"output_files": [
{}
],
"run_metadata": {},
"metadata": {},
"point_transaction": {},
"started_at": "<string>",
"completed_at": "<string>"
},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.